<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width,user-scalable=no,initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0" />
    <title>BLW TEST</title>
    <style type="text/css">
        body
        {
            font-size: 10pt;
        }
    </style>
    <script type="text/javascript" src="/Scripts/jquery.min.js"></script>
    <script type="text/javascript">
        $(function () {
            $('#a1').click(function () {
                $.ajax({
                    url: '/api/TestUrl/',
                    type: 'POST',
                    dataType: 'JSON',
                    data: { url: 'https://lflt-vkk.site/kj/3/2024.html' },
                    error: function (XMLHttpRequest, textStatus, errorThrown) {
                        alert('访问失败。');
                    },
                    success: function (r) {
                        if (r.IsSuccess) {
                            $("#result").html(JSON.stringify(r.Data));
                        } else {
                            alert(r.Data);
                        }
                    }
                });
            });
        });
    </script>
</head>
<body>
    <div>
        <a id="a1" href="javascript:void(0)">获取数据</a><br />
        <br />
    </div>
    <div id="result"></div>
</body>
</html>
